## requests 2.10.0

=== debian/changelog ===
requests (2.10.0-2) unstable; urgency=medium

  * debian/patches/use-pip-unbundling.patch
    - Use the same unbundling strategy implemented by pip.

 -- Daniele Tricoli <eriol@mornie.org>  Sat, 18 Jun 2016 22:28:05 +0200

requests (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.8 (no changes needed).
    - Add python{,3}-socks to Suggests.
    - Bump python{,3}-urllib3 dependencies to (>= 1.15.1) (<< 1.15.2).
  * debian/copyright
    - Update copyright years.
  * debian/patches/02_populate-install_requires.patch
    - Refresh.

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 20 May 2016 02:41:59 +0200

=== debian/control ===
Source: requests
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3),
 python-chardet,
 python-setuptools,
 python-urllib3 (>= 1.15.1), python-urllib3 (<< 1.15.2),
 python3-all,
 python3-chardet,
 python3-setuptools,
 python3-urllib3 (>= 1.15.1), python3-urllib3 (<< 1.15.2),
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: http://python-requests.org
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/requests.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/requests.git

Package: python-requests
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ca-certificates,
 python-chardet,
 python-urllib3 (>= 1.15.1), python-urllib3 (<< 1.15.2)
Suggests:
 python-ndg-httpsclient,
 python-openssl,
 python-pyasn1,
 python-socks
Breaks: httpie (<< 0.9.2)
Description: elegant and simple HTTP library for Python2, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts

Package: python3-requests
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ca-certificates,
 python3-chardet,
 python3-urllib3 (>= 1.15.1), python3-urllib3 (<< 1.15.2)
Suggests:
 python3-ndg-httpsclient,
 python3-openssl,
 python3-pyasn1,
 python3-socks
Description: elegant and simple HTTP library for Python3, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts
 .
 This package contains the Python 3 version of the library.

## requests 2.11.1

=== requirements.txt ===
alabaster==0.7.7
Babel==2.2.0
coverage==4.0.3
decorator==4.0.9
docutils==0.12
Flask==0.10.1
httpbin==0.4.1
itsdangerous==0.24
Jinja2==2.8
MarkupSafe==0.23
py==1.4.31
Pygments==2.1.1
PySocks==1.5.6
pytest==2.8.7
pytest-cov==2.2.1
pytest-httpbin==0.2.0
pytest-mock==0.11.0
pytz==2015.7
six==1.10.0
snowballstemmer==1.2.1
Sphinx==1.3.5
sphinx-rtd-theme==0.1.9
Werkzeug==0.11.4
wheel==0.29.0

=== debian/changelog ===
requests (2.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump python{,3}-urllib3 dependencies to (>= 1.16) (<< 1.16.1).
  * debian/patches/02_populate-install_requires.patch
    - Refresh.

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 09 Sep 2016 00:31:15 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  python-all (>= 2.6.6-3),
  python-chardet,
  python-setuptools,
- python-urllib3 (>= 1.15.1), python-urllib3 (<< 1.15.2),
+ python-urllib3 (>= 1.16), python-urllib3 (<< 1.16.1),
  python3-all,
  python3-chardet,
  python3-setuptools,
- python3-urllib3 (>= 1.15.1), python3-urllib3 (<< 1.15.2),
+ python3-urllib3 (>= 1.16), python3-urllib3 (<< 1.16.1),
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
@@ -28,7 +28,7 @@
  ${python:Depends},
  ca-certificates,
  python-chardet,
- python-urllib3 (>= 1.15.1), python-urllib3 (<< 1.15.2)
+ python-urllib3 (>= 1.16), python-urllib3 (<< 1.16.1)
 Suggests:
  python-ndg-httpsclient,
  python-openssl,
@@ -61,7 +61,7 @@
  ${python3:Depends},
  ca-certificates,
  python3-chardet,
- python3-urllib3 (>= 1.15.1), python3-urllib3 (<< 1.15.2)
+ python3-urllib3 (>= 1.16), python3-urllib3 (<< 1.16.1)
 Suggests:
  python3-ndg-httpsclient,
  python3-openssl,

## requests 2.12.4

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 decorator==4.0.9
 docutils==0.12
 Flask==0.10.1
-httpbin==0.4.1
+httpbin==0.5.0
 itsdangerous==0.24
 Jinja2==2.8
 MarkupSafe==0.23

=== debian/changelog ===
requests (2.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 19 Dec 2016 20:18:04 +0100

requests (2.12.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump python{,3}-urllib3 dependencies to (>= 1.19.1) (<< 1.19.2).
    - Remove python{,3}-ndg-httpsclient and python{,3}-pyasn1.
    - Add python{,3}-cryptography and python{,3}-idna.
  * debian/copyright
    - Add stanza for idna.
  * debian/patches/02_populate-install_requires.patch
    - Refresh.
  * debian/patches/use-pip-unbundling.patch
    - Refresh.

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 13 Dec 2016 00:34:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  python-all (>= 2.6.6-3),
  python-chardet,
  python-setuptools,
- python-urllib3 (>= 1.16), python-urllib3 (<< 1.16.1),
+ python-urllib3 (>= 1.19.1), python-urllib3 (<< 1.19.2),
  python3-all,
  python3-chardet,
  python3-setuptools,
- python3-urllib3 (>= 1.16), python3-urllib3 (<< 1.16.1),
+ python3-urllib3 (>= 1.19.1), python3-urllib3 (<< 1.19.2),
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
@@ -28,11 +28,11 @@
  ${python:Depends},
  ca-certificates,
  python-chardet,
- python-urllib3 (>= 1.16), python-urllib3 (<< 1.16.1)
+ python-urllib3 (>= 1.19.1), python-urllib3 (<< 1.19.2)
 Suggests:
- python-ndg-httpsclient,
+ python-cryptography,
+ python-idna,
  python-openssl,
- python-pyasn1,
  python-socks
 Breaks: httpie (<< 0.9.2)
 Description: elegant and simple HTTP library for Python2, built for human beings
@@ -61,11 +61,11 @@
  ${python3:Depends},
  ca-certificates,
  python3-chardet,
- python3-urllib3 (>= 1.16), python3-urllib3 (<< 1.16.1)
+ python3-urllib3 (>= 1.19.1), python3-urllib3 (<< 1.19.2)
 Suggests:
- python3-ndg-httpsclient,
+ python3-cryptography,
+ python3-idna,
  python3-openssl,
- python3-pyasn1,
  python3-socks
 Description: elegant and simple HTTP library for Python3, built for human beings
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,

## requests 2.18.1

=== debian/changelog ===
requests (2.18.1-1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 10 Aug 2017 22:44:55 +0000

requests (2.18.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #856619)
    - No more bundling of dependencies. (Closes: #859504)
  * Drop all patches.
  * Add autodep8 tests.
  * debian/control
    - Bump python{,3}-urllib3 dependencies to (>= 1.21.1) (<< 1.22).
    - Bump Standards-Version to 4.0.0 (no changes needed).
    - Add version constraint for chardet and idna.
    - Add python{,3}-certifi to Build-Depends and Depends.
  * debian/copyright
    - Remove stanzas of no more bundled dependencies.
    - Update copyright years.

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 04 Aug 2017 08:13:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,22 @@
  debhelper (>= 9),
  dh-python,
  python-all (>= 2.6.6-3),
- python-chardet,
+ python-certifi,
+ python-chardet (>= 3.0.2),
  python-setuptools,
- python-urllib3 (>= 1.19.1), python-urllib3 (<< 1.19.2),
+ python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.22),
  python3-all,
- python3-chardet,
+ python3-certifi,
+ python3-chardet (>= 3.0.2),
  python3-setuptools,
- python3-urllib3 (>= 1.19.1), python3-urllib3 (<< 1.19.2),
-Standards-Version: 3.9.8
+ python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.22),
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 Homepage: http://python-requests.org
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/requests.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/requests.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-requests
 Architecture: all
@@ -27,11 +30,12 @@
  ${misc:Depends},
  ${python:Depends},
  ca-certificates,
- python-chardet,
- python-urllib3 (>= 1.19.1), python-urllib3 (<< 1.19.2)
+ python-certifi,
+ python-chardet (>= 3.0.2),
+ python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.22)
 Suggests:
  python-cryptography,
- python-idna,
+ python-idna (>= 2.5),
  python-openssl,
  python-socks
 Breaks: httpie (<< 0.9.2)
@@ -60,11 +64,12 @@
  ${misc:Depends},
  ${python3:Depends},
  ca-certificates,
- python3-chardet,
- python3-urllib3 (>= 1.19.1), python3-urllib3 (<< 1.19.2)
+ python3-certifi,
+ python3-chardet (>= 3.0.2),
+ python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.22)
 Suggests:
  python3-cryptography,
- python3-idna,
+ python3-idna (>= 2.5),
  python3-openssl,
  python3-socks
 Description: elegant and simple HTTP library for Python3, built for human beings

## requests 2.18.4

=== debian/changelog ===
requests (2.18.4-2) unstable; urgency=medium

  * debian/control
    - Update Vcs-Git and Vcs-Browser to salsa.debian.org.
    - Add awscli (<< 1.11.139) to python3-requests' Breaks. (Closes: #870888)
  * debian/copyright
    - Use secure URI in format field.
    - Update copyright years.

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 09 Feb 2018 19:31:10 +0100

requests (2.18.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * d/watch: Use https
  * Bump X-Python3-Version to 3.4
  * Bump debhelper compat level to 11
  * Standards-Version is 4.1.3 now (no changes needed)
  * d/watch: Check upstream signature
  * Fixed required version of chardet and urllib3 for new version

 -- Ondřej Nový <onovy@debian.org>  Thu, 04 Jan 2018 15:18:19 +0100

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all (>= 2.6.6-3),
  python-certifi,
- python-chardet (>= 3.0.2),
+ python-chardet (>= 3.0.2), python-chardet (<< 3.1.0),
  python-setuptools,
- python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.22),
+ python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.23),
  python3-all,
  python3-certifi,
- python3-chardet (>= 3.0.2),
+ python3-chardet (>= 3.0.2), python3-chardet (<< 3.1.0),
  python3-setuptools,
- python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.22),
-Standards-Version: 4.0.0
+ python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.23),
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
+X-Python3-Version: >= 3.4
 Homepage: http://python-requests.org
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/requests.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/requests.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/requests.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/requests
 Testsuite: autopkgtest-pkg-python
 
 Package: python-requests
@@ -31,8 +31,8 @@
  ${python:Depends},
  ca-certificates,
  python-certifi,
- python-chardet (>= 3.0.2),
- python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.22)
+ python-chardet (>= 3.0.2), python-chardet (<< 3.1.0),
+ python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.23)
 Suggests:
  python-cryptography,
  python-idna (>= 2.5),
@@ -65,13 +65,14 @@
  ${python3:Depends},
  ca-certificates,
  python3-certifi,
- python3-chardet (>= 3.0.2),
- python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.22)
+ python3-chardet (>= 3.0.2), python3-chardet (<< 3.1.0),
+ python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.23)
 Suggests:
  python3-cryptography,
  python3-idna (>= 2.5),
  python3-openssl,
  python3-socks
+Breaks: awscli (<< 1.11.139)
 Description: elegant and simple HTTP library for Python3, built for human beings
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
  multipart files, and parameters with simple Python dictionaries, and access

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=requests

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# The test suite is disabled.
# Test requires fixed version of pytest-httpbin and
# doesn't work with newer one
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/requests/requests-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## requests 2.21.0

=== debian/changelog ===
requests (2.21.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 22 Sep 2019 06:30:49 -0700

requests (2.21.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 27 Mar 2019 16:13:42 +0100

requests (2.21.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update to use my debian.org mail address.
    - Bump Standards-Version to 4.3.0 (no changes needed).
    - Bump python-all >= 2.7 in Build-Depends.
  * debian/copyright
    - Update to use my debian.org mail address.
    - Update copyright years.

 -- Daniele Tricoli <eriol@debian.org>  Tue, 12 Feb 2019 01:28:14 +0100

requests (2.20.0-2) unstable; urgency=medium

  * Bump python-urllib3 to (<< 1.25) in Build-Depends.
    Thanks to Mattia Rizzolo for the report. (Closes: #911903)

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 26 Oct 2018 01:46:46 +0200

requests (2.20.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Daniele Tricoli ]
  * New upstream release.
    - Fix CVE-2018-18074 (Closes: #910766)
  * Add gbp.conf.
  * debian/control
    - Bump python{,3}-urllib3 (>= 1.21.1) (<< 1.25).
    - Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/copyright
    - Update upstream copyright year.
    - Update Source field to point to new PyPI URL.
  * debian/docs
    - Rename README.rst to README.md.
  * debian/rules
    - Rename HISTORY.rst to HISTORY.md.
  * debian/watch
    - Remove pgpsigurlmangle since upstream is not signing releases anymore.
  * debian/upstream/signing-key.asc
    - Remove upstream signing-key.asc since not used anymore.

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 25 Oct 2018 03:50:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: requests
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniele Tricoli <eriol@mornie.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Daniele Tricoli <eriol@debian.org>, Mattia Rizzolo <mattia@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper (>= 11),
  dh-python,
- python-all (>= 2.6.6-3),
+ python-all (>= 2.7),
  python-certifi,
  python-chardet (>= 3.0.2), python-chardet (<< 3.1.0),
  python-setuptools,
- python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.23),
+ python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.25),
  python3-all,
  python3-certifi,
  python3-chardet (>= 3.0.2), python3-chardet (<< 3.1.0),
  python3-setuptools,
- python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.23),
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+ python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.25),
+Standards-Version: 4.3.0
 Homepage: http://python-requests.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/requests.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/requests
@@ -32,7 +31,7 @@
  ca-certificates,
  python-certifi,
  python-chardet (>= 3.0.2), python-chardet (<< 3.1.0),
- python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.23)
+ python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.25)
 Suggests:
  python-cryptography,
  python-idna (>= 2.5),
@@ -66,7 +65,7 @@
  ca-certificates,
  python3-certifi,
  python3-chardet (>= 3.0.2), python3-chardet (<< 3.1.0),
- python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.23)
+ python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.25)
 Suggests:
  python3-cryptography,
  python3-idna (>= 2.5),

## requests 2.22.0

=== debian/changelog ===
requests (2.22.0-2ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: Unintended leak of Proxy-Authorization header
    - debian/patches/CVE-2023-32681.patch: don't attach header to redirects
      with an HTTPS destination in requests/sessions.py,
      tests/test_requests.py.
    - CVE-2023-32681

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 05 Jun 2023 13:13:31 -0400

requests (2.22.0-2ubuntu1) focal; urgency=medium

  * Drop python2 support, cherry-picked from Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Apr 2020 19:33:21 -0700

requests (2.22.0-2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:53:37 +0000

requests (2.22.0-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #945978)

 -- Daniele Tricoli <eriol@debian.org>  Thu, 05 Dec 2019 03:09:13 +0100

requests (2.22.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Daniele Tricoli ]
  * New upstream version 2.22.0.
  * debian/control
    - Bump python{,3}-urllib3 Builds-Depends and Depends to << 1.26.
    - Bump debhelper compat level to 12.

 -- Daniele Tricoli <eriol@debian.org>  Tue, 03 Dec 2019 01:06:18 +0100

=== debian/control ===
Source: requests
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-certifi,
 python3-chardet (>= 3.0.2), python3-chardet (<< 3.1.0),
 python3-pygments,
 python3-setuptools,
 python3-sphinx (>= 1.3),
 python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.26),
Standards-Version: 4.4.1
Homepage: http://python-requests.org
Vcs-Git: https://salsa.debian.org/python-team/modules/requests.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/requests
Testsuite: autopkgtest-pkg-python

Package: python3-requests
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ca-certificates,
 python3-certifi,
 python3-chardet (>= 3.0.2), python3-chardet (<< 3.1.0),
 python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.26)
Suggests:
 python3-cryptography,
 python3-idna (>= 2.5),
 python3-openssl,
 python3-socks
Breaks: awscli (<< 1.11.139)
Description: elegant and simple HTTP library for Python3, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=requests

%:
	dh $@ --with python3 --buildsystem=pybuild

# The test suite is disabled.
# Test requires fixed version of pytest-httpbin and
# doesn't work with newer one
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/requests/requests-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## requests 2.23.0

=== debian/changelog ===
requests (2.23.0-0~mx19+1) mx; urgency=medium

  * Package upstream git release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Mon, 02 Mar 2020 17:52:39 -0500

requests (2.22.0-2~mx19+1) mx; urgency=medium

  * Repackage of upstream release for MX-19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 29 Jan 2020 21:02:05 -0400

## requests 2.23.0+dfsg

=== debian/changelog ===
requests (2.23.0+dfsg-2~bpo10+1) UNRELEASED; urgency=medium

  * buster-backports Rebuilt for buster.

 -- Daniele Tricoli <eriol@debian.org>  Wed, 01 Apr 2020 19:57:40 +0000

requests (2.23.0+dfsg-1) unstable; urgency=medium

  [ Fabrice BAUZAC ]
  * d/watch: track the github tarballs (which include the documentation)
    instead of the PyPI ones (which do not).

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Daniele Tricoli ]
  * New upstream version 2.23.0+dfsg.
  * Repackage to exclude non-free images and logos via Files-Excluded in
    debian/copyright.
  * Build doc package. (Closes: #877027)
  * debian/control
    - Bump Standards-Version to 4.5.0 (no changes needed).
    - Add python-requests-doc stanza.
    - Add python3-sphinx and python3-pygments to B-D.
  * debian/copyright
    - Update copyright years.
    - Add sections for files inside docs not released with Apache License.
  * debian/patches/0001-Remove-remote-images-traking-code-and-ads.patch
    - Remove remote images, traking code and ads.
  * debian/python-requests-doc.doc-base
    - Register documentation using doc-base.
  * debian/rules
    - Build documentation using sphinx.
  * debian/watch
    - Add repacksuffix and dversionmangle options.


 -- Daniele Tricoli <eriol@debian.org>  Tue, 31 Mar 2020 01:04:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: requests
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
+ python-all (>= 2.7),
+ python-certifi,
+ python-chardet (>= 3.0.2), python-chardet (<< 3.1.0),
+ python-setuptools,
+ python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.26),
  python3-all,
  python3-certifi,
  python3-chardet (>= 3.0.2), python3-chardet (<< 3.1.0),
@@ -14,11 +18,45 @@
  python3-setuptools,
  python3-sphinx (>= 1.3),
  python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.26),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://python-requests.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/requests.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/requests
 Testsuite: autopkgtest-pkg-python
+
+Package: python-requests
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+ ca-certificates,
+ python-certifi,
+ python-chardet (>= 3.0.2), python-chardet (<< 3.1.0),
+ python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.26)
+Suggests:
+ python-cryptography,
+ python-idna (>= 2.5),
+ python-openssl,
+ python-socks
+Breaks: httpie (<< 0.9.2)
+Description: elegant and simple HTTP library for Python2, built for human beings
+ Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
+ multipart files, and parameters with simple Python dictionaries, and access
+ the response data in the same way. It's powered by httplib and urllib3, but
+ it does all the hard work and crazy hacks for you.
+ .
+ Features
+ .
+   - International Domains and URLs
+   - Keep-Alive & Connection Pooling
+   - Sessions with Cookie Persistence
+   - Browser-style SSL Verification
+   - Basic/Digest Authentication
+   - Elegant Key/Value Cookies
+   - Automatic Decompression
+   - Unicode Response Bodies
+   - Multipart File Uploads
+   - Connection Timeouts
 
 Package: python3-requests
 Architecture: all
@@ -55,3 +93,30 @@
    - Connection Timeouts
  .
  This package contains the Python 3 version of the library.
+
+Package: python-requests-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends}
+Description: elegant and simple HTTP library for Python (Documentation)
+ Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
+ multipart files, and parameters with simple Python dictionaries, and access
+ the response data in the same way. It's powered by httplib and urllib3, but
+ it does all the hard work and crazy hacks for you.
+ .
+ Features
+ .
+   - International Domains and URLs
+   - Keep-Alive & Connection Pooling
+   - Sessions with Cookie Persistence
+   - Browser-style SSL Verification
+   - Basic/Digest Authentication
+   - Elegant Key/Value Cookies
+   - Automatic Decompression
+   - Unicode Response Bodies
+   - Multipart File Uploads
+   - Connection Timeouts
+ .
+ This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=requests

BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

# The test suite is disabled.
# Test requires fixed version of pytest-httpbin and
# doesn't work with newer one
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -N -bhtml docs/ \
		debian/python-requests-doc/usr/share/doc/python-requests-doc/html/

	dh_sphinxdoc
endif

## requests 2.24.0

=== debian/changelog ===
requests (2.24.0-0~mx19+2) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Control add python3-pygments to build depends.
  * Control: add python-requests-doc to suggests.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 26 Aug 2020 21:31:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: requests
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniele Tricoli <eriol@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -9,16 +9,15 @@
  python-all (>= 2.7),
  python-certifi,
  python-chardet (>= 3.0.2), python-chardet (<< 3.1.0),
+ python3-pygments,
  python-setuptools,
  python-urllib3 (>= 1.21.1), python-urllib3 (<< 1.26),
  python3-all,
  python3-certifi,
  python3-chardet (>= 3.0.2), python3-chardet (<< 3.1.0),
- python3-pygments,
  python3-setuptools,
- python3-sphinx (>= 1.3),
  python3-urllib3 (>= 1.21.1), python3-urllib3 (<< 1.26),
-Standards-Version: 4.5.0
+Standards-Version: 4.4.1
 Homepage: http://python-requests.org
 Vcs-Git: https://salsa.debian.org/python-team/modules/requests.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/requests
@@ -71,7 +70,8 @@
  python3-cryptography,
  python3-idna (>= 2.5),
  python3-openssl,
- python3-socks
+ python3-socks,
+ python-requests-doc
 Breaks: awscli (<< 1.11.139)
 Description: elegant and simple HTTP library for Python3, built for human beings
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
@@ -93,30 +93,3 @@
    - Connection Timeouts
  .
  This package contains the Python 3 version of the library.
-
-Package: python-requests-doc
-Section: doc
-Architecture: all
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends}
-Description: elegant and simple HTTP library for Python (Documentation)
- Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
- multipart files, and parameters with simple Python dictionaries, and access
- the response data in the same way. It's powered by httplib and urllib3, but
- it does all the hard work and crazy hacks for you.
- .
- Features
- .
-   - International Domains and URLs
-   - Keep-Alive & Connection Pooling
-   - Sessions with Cookie Persistence
-   - Browser-style SSL Verification
-   - Basic/Digest Authentication
-   - Elegant Key/Value Cookies
-   - Automatic Decompression
-   - Unicode Response Bodies
-   - Multipart File Uploads
-   - Connection Timeouts
- .
- This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=requests

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# The test suite is disabled.
# Test requires fixed version of pytest-httpbin and
# doesn't work with newer one
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## requests 2.25.1+dfsg

=== Makefile ===
.PHONY: docs
init:
	pip install -e .[socks]
	pip install -r requirements-dev.txt
test:
	# This runs all of the tests, on both Python 2 and Python 3.
	detox
ci:
	pytest tests --junitxml=report.xml

test-readme:
	python setup.py check --restructuredtext --strict && ([ $$? -eq 0 ] && echo "README.rst and HISTORY.rst ok") || echo "Invalid markup in README.rst or HISTORY.rst!"

flake8:
	flake8 --ignore=E501,F401,E128,E402,E731,F821 requests

coverage:
	pytest --cov-config .coveragerc --verbose --cov-report term --cov-report xml --cov=requests tests

publish:
	pip install 'twine>=1.5.0'
	python setup.py sdist bdist_wheel
	twine upload dist/*
	rm -fr build dist .egg requests.egg-info

docs:
	cd docs && make html
	@echo "\033[95m\n\nBuild successful! View the docs homepage at docs/_build/html/index.html.\n\033[0m"

=== debian/changelog ===
requests (2.25.1+dfsg-2) unstable; urgency=medium

  * debian/control
    - Drop upper bound version for chardet and urllib3. Thanks to sramacher
      and myon for the suggestions. (Closes: #978749)

 -- Daniele Tricoli <eriol@debian.org>  Thu, 31 Dec 2020 17:55:39 +0100

requests (2.25.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * debian/control
    - Bump chardet << 5.

 -- Daniele Tricoli <eriol@debian.org>  Thu, 31 Dec 2020 03:01:11 +0100

requests (2.25.0+dfsg-2) unstable; urgency=medium

  * debian/patches/0002-Temporary-exclude-requests.codes.patch
    - Temporary exclude requests.codes to make documentation not fail during
      build. (Closes: #978351)
  * debian/control
    - Bump Standards-Version to 4.5.1 (no changes needed).

 -- Daniele Tricoli <eriol@debian.org>  Wed, 30 Dec 2020 01:23:56 +0100

requests (2.25.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.

  [ Daniele Tricoli ]
  * New upstream version 2.25.0+dfsg
  * debian/patches/0001-Remove-remote-images-traking-code-and-ads.patch
    - Refresh.
  * debian/copyright
    - Drop section for konami.js since it's no more distributed by upstream.
  * debian/control
    - Bump python3-urllib3 to << 1.27.

 -- Daniele Tricoli <eriol@debian.org>  Tue, 08 Dec 2020 22:46:34 +0100

requests (2.24.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Drew Parsons ]
  * New upstream release.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Oct 2020 19:56:50 +0800

requests (2.23.0+dfsg-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938355
  * debian/control
    - suggest -doc in python3-requests, as suggested by Scott Kitterman

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Apr 2020 09:56:33 -0400

=== debian/control ===
Source: requests
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Daniele Tricoli <eriol@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-certifi,
 python3-chardet (>= 3.0.2),
 python3-pygments,
 python3-setuptools,
 python3-sphinx (>= 1.3),
 python3-urllib3 (>= 1.21.1),
Standards-Version: 4.5.1
Homepage: http://python-requests.org
Vcs-Git: https://salsa.debian.org/python-team/packages/requests.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/requests
Testsuite: autopkgtest-pkg-python

Package: python3-requests
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ca-certificates,
 python3-certifi,
 python3-chardet (>= 3.0.2),
 python3-urllib3 (>= 1.21.1),
Suggests:
 python3-cryptography,
 python3-idna (>= 2.5),
 python3-openssl,
 python3-socks,
 python-requests-doc
Breaks: awscli (<< 1.11.139)
Description: elegant and simple HTTP library for Python3, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts
 .
 This package contains the Python 3 version of the library.

Package: python-requests-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: elegant and simple HTTP library for Python (Documentation)
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=requests

BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# The test suite is disabled.
# Test requires fixed version of pytest-httpbin and
# doesn't work with newer one
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -N -bhtml docs/ \
		debian/python-requests-doc/usr/share/doc/python-requests-doc/html/

	dh_sphinxdoc
endif

## requests 2.27.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	pip install -r requirements-dev.txt
 test:
 	# This runs all of the tests, on both Python 2 and Python 3.
-	detox
+	tox -p
 ci:
 	pytest tests --junitxml=report.xml

=== debian/changelog ===
requests (2.27.1+dfsg-1ubuntu2) kinetic; urgency=medium

  * d/p/remove-charset-normalizer-dependency.patch: Remove charset-normalizer
    as a dependency of requests (LP: #1975541)

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 23 May 2022 15:06:07 -0700

requests (2.27.1+dfsg-1ubuntu1) kinetic; urgency=medium

  * Fix autopkgtest when http_proxy, https_proxy or no_proxy variable is set
    (LP: #1974182)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 19 May 2022 14:14:07 +0200

requests (2.27.1+dfsg-1) unstable; urgency=medium

  [ root ]
  * Update standards version to 4.6.0, no changes needed.

  [ Daniele Tricoli ]
  * New upstream version 2.27.1+dfsg
  * Enable tests both at build time and using autopkgtest.
  * Enable salsa pipelines.
  * debian/copyright
    - Update Files-Excluded rule to remove the logo.
    - Update copyright years.
  * debian/patches/0001-Remove-remote-images-traking-code-and-ads.patch
    - Refresh.
  * debian/patches/0002-Temporary-exclude-requests.codes.patch
    - Drop since fixed upstream.
  * debian/control
    - Add python3-pytest, python3-pytest-httpbin, python3-pytest-mock,
      python3-socks and python3-trustme to Build-Depends.
    - Set python3-requests Multi-Arch: foreign. Thanks Elrond for the report.
      (Closes: #985625)

 -- Daniele Tricoli <eriol@debian.org>  Sun, 20 Mar 2022 17:51:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,32 @@
 Source: requests
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-certifi,
  python3-chardet (>= 3.0.2),
  python3-pygments,
+ python3-pytest,
+ python3-pytest-httpbin,
+ python3-pytest-mock,
  python3-setuptools,
+ python3-socks,
  python3-sphinx (>= 1.3),
+ python3-trustme,
  python3-urllib3 (>= 1.21.1),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://python-requests.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/requests.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/requests
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-requests
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},
@@ -59,10 +65,10 @@
 Package: python-requests-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}
-Multi-Arch: foreign
 Description: elegant and simple HTTP library for Python (Documentation)
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
  multipart files, and parameters with simple Python dictionaries, and access

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=requests
export PYBUILD_TEST_PYTEST=1
export PYTHONWARNINGS=d
TESTS_TO_EXCLUDE="not test_use_proxy_from_environment and \
not TestGetEnvironProxies and \
not test_mixed_case_scheme_acceptable and \
not test_HTTP_200_OK_GET_ALTERNATIVE and \
not test_unicode_get and \
not test_HTTP_302_ALLOW_REDIRECT_GET and \
not test_HTTP_307_ALLOW_REDIRECT_POST and \
not test_HTTP_307_ALLOW_REDIRECT_POST_WITH_SEEKABLE and \
not test_HTTP_302_TOO_MANY_REDIRECTS and \
not test_HTTP_302_TOO_MANY_REDIRECTS_WITH_PARAMS and \
not test_http_301_changes_post_to_get and \
not test_http_301_doesnt_change_head_to_get and \
not test_http_302_changes_post_to_get and \
not test_http_302_doesnt_change_head_to_get and \
not test_http_303_changes_post_to_get and \
not test_http_303_doesnt_change_head_to_get and \
not test_header_and_body_removal_on_redirect and \
not test_transfer_enc_removal_on_redirect and \
not test_fragment_maintained_on_redirect and \
not test_HTTP_200_OK_GET_WITH_PARAMS and \
not test_HTTP_200_OK_GET_WITH_MIXED_PARAMS and \
not test_set_cookie_on_301 and \
not test_cookie_sent_on_redirect and \
not test_cookie_removed_on_expire and \
not test_cookie_quote_wrapped and \
not test_cookie_persists_via_api and \
not test_request_cookie_overrides_session_cookie and \
not test_request_cookies_not_persisted and \
not test_generic_cookiejar_works and \
not test_param_cookiejar_works and \
not test_cookielib_cookiejar_on_redirect and \
not test_requests_in_history_are_not_overridden and \
not test_history_is_always_a_list and \
not test_user_agent_transfers and \
not test_HTTP_200_OK_HEAD and \
not test_HTTP_200_OK_PUT and \
not test_BASICAUTH_TUPLE_HTTP_200_OK_GET and \
not test_proxy_authorization_preserved_on_request and \
not test_basicauth_with_netrc and \
not test_DIGEST_HTTP_200_OK_GET and \
not test_DIGEST_AUTH_RETURNS_COOKIE and \
not test_DIGEST_AUTH_SETS_SESSION_COOKIES and \
not test_DIGEST_STREAM and \
not test_DIGESTAUTH_WRONG_HTTP_401_GET and \
not test_DIGESTAUTH_QUOTES_QOP_VALUE and \
not test_POSTBIN_GET_POST_FILES and \
not test_invalid_files_input and \
not test_POSTBIN_SEEKED_OBJECT_WITH_NO_ITER and \
not test_POSTBIN_GET_POST_FILES_WITH_DATA and \
not test_post_with_custom_mapping and \
not test_conflicting_post_params and \
not test_request_ok_set and \
not test_status_raising and \
not test_decompress_gzip and \
not test_unicode_header_name and \
not test_pyopenssl_redirect and \
not test_http_with_certificate and \
not test_certificate_failure and \
not test_urlencoded_get_query_multivalued_param and \
not test_different_encodings_dont_break_post and \
not test_unicode_multipart_post and \
not test_unicode_method_name and \
not test_unicode_method_name_with_request_object and \
not test_custom_content_type and \
not test_hook_receives_request_arguments and \
not test_prepared_request_hook and \
not test_prepared_from_session and \
not test_request_with_bytestring_host and \
not test_time_elapsed_blank and \
not test_request_and_response_are_pickleable and \
not test_prepared_request_is_pickleable and \
not test_prepared_request_with_file_is_pickleable and \
not test_prepared_request_with_hook_is_pickleable and \
not test_session_pickling and \
not test_fixes_1329 and \
not test_uppercase_scheme_redirect and \
not test_header_remove_is_case_insensitive and \
not test_params_are_merged_case_sensitive and \
not test_header_validation and \
not test_auth_is_stripped_on_http_downgrade and \
not test_auth_is_retained_for_redirect_on_host and \
not test_manual_redirect_with_partial_body_read and \
not test_redirect_with_wrong_gzipped_header and \
not test_requests_history_is_saved and \
not test_json_param_post_content_type_works and \
not test_response_iter_lines and \
not test_response_context_manager and \
not test_unconsumed_session_response_closes_connection and \
not test_response_json_when_content_is_None and \
not test_custom_redirect_mixin and \
not test_stream_timeout and \
not test_none_timeout and \
not test_read_timeout and \
not test_connect_timeout and \
not test_total_timeout_connect and \
not test_encoded_methods and \
not test_proxy_env_vars_override_default and \
not test_urllib3_retries and \
not test_redirecting_to_bad_url and \
not test_json_decode_compatibility and \
not test_set_environ"
export PYBUILD_TEST_ARGS=tests -k ${TESTS_TO_EXCLUDE}

BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -N -bhtml docs/ \
		debian/python-requests-doc/usr/share/doc/python-requests-doc/html/

	dh_sphinxdoc
endif

## requests 2.28.1+dfsg

=== debian/changelog ===
requests (2.28.1+dfsg-1) unstable; urgency=medium

  [ Lena Voytek ]
  * New upstream version 2.28.1+dfsg
  * debian/patches/0001-Remove-remote-images-traking-code-and-ads.patch
    - Refresh.
  * debian/rules: Disable test_json_decode_persists_doc_attr

  [ Daniele Tricoli ]
  * debian/control
    - Bump standards version to 4.6.1, no changes needed.

 -- Daniele Tricoli <eriol@debian.org>  Thu, 24 Nov 2022 00:23:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: requests
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Section: python
 Priority: optional
@@ -19,7 +18,7 @@
  python3-sphinx (>= 1.3),
  python3-trustme,
  python3-urllib3 (>= 1.21.1),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://python-requests.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/requests.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/requests

=== debian/rules ===
--- 
+++ 
@@ -103,7 +103,8 @@
 not test_urllib3_retries and \
 not test_redirecting_to_bad_url and \
 not test_json_decode_compatibility and \
-not test_set_environ"
+not test_set_environ and \
+not test_json_decode_persists_doc_attr"
 export PYBUILD_TEST_ARGS=tests -k ${TESTS_TO_EXCLUDE}
 
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
